<!--
  ~ iparapheur Web
  ~ Copyright (C) 2019-2025 Libriciel SCOP
  ~
  ~ This program is free software: you can redistribute it and/or modify
  ~ it under the terms of the GNU Affero General Public License as published by
  ~ the Free Software Foundation, either version 3 of the License, or
  ~ (at your option) any later version.
  ~
  ~ This program is distributed in the hope that it will be useful,
  ~ but WITHOUT ANY WARRANTY; without even the implied warranty of
  ~ MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  ~ GNU Affero General Public License for more details.
  ~
  ~ You should have received a copy of the GNU Affero General Public License
  ~ along with this program. If not, see <http://www.gnu.org/licenses/>.
  -->

<div class="px-0">

  <div *ngIf="!signatureImageSrc">

    <div
      class="alert alert-info"
      role="alert">
      <fa-icon
        class="pe-2"
        [icon]="commonIcons.INFO_ICON">
      </fa-icon>
      {{ messages.NO_SIGNATURE_IMAGE }}
    </div>

    <div>
      <button
        type="button"
        class="btn btn-sm btn-outline-info"
        (click)="fileInput.click()">
        <fa-icon
          class="pe-2"
          [icon]="commonIcons.ADD_ICON">
        </fa-icon>
        {{ messages.ADD_SIGNATURE_IMAGE }}
      </button>
    </div>

  </div>

  <div *ngIf="!!signatureImageSrc">

    <div class="signature-container">
      <img
        class="img-thumbnail w-100"
        [src]="sanitizer.bypassSecurityTrustResourceUrl(signatureImageSrc | authImage | async)"
        alt="Image de signature">
    </div>

    <div class="pt-3">

      <button
        type="button"
        class="btn btn-sm btn-outline-info"
        (click)="fileInput.click()">
        <fa-icon
          class="pe-2"
          [icon]="commonIcons.REPLACE_ICON">
        </fa-icon>
        {{ messages.REPLACE_SIGNATURE_IMAGE }}
      </button>

      <button
        type="button"
        class="ms-2 btn btn-sm btn-danger"
        (click)="onDeleteImageButtonClicked()">
        <fa-icon
          class="pe-2"
          [title]="commonMessages.DELETE"
          [icon]="commonIcons.DELETE_ICON">
        </fa-icon>
        {{ messages.DELETE_SIGNATURE_IMAGE }}
      </button>
    </div>

  </div>

  <!-- Hidden field, triggered by Bootstrap-designed buttons -->
  <input
    type="file"
    accept="image/jpeg,image/png"
    class="d-none"
    (change)="onAddImageButtonClicked($event)"
    #fileInput>

</div>
